TapTapTap!!!(43)~アルファ版の不具合を修正する4~

TapTapTap!!!(42)~アルファ版の不具合を修正する3~ ではサインインとは異なる不具合も残っているようなのでそちらの対処も進めたが、不発に終わってしまった。解消できていない不具合に対して対処を再度行っていく。

1.不具合の内容

不具合の内容としては前回と同様で「android.support.v7.app.AppCompatViewInflater」というクラスが見つからないというエラーであり、これによってアプリが強制終了してしまっていることが「リリース前レポート」から確認できた。

スポンサーリンク

2.不具合の要因の想定

現状不具合の要因として考えられることとしては [Project] > [Plugins] > [Android] の中に「support-v7-25.2.0」というファイルが存在していないからではないかと想定している。今回の行う対処としては「support-v7-25.2.0」を探し、Unity に追加することである。

不具合の要因

3.不具合の対処

こちらに「appcompat-v7-25.2.0.aar」というファイルを見つけたのでこれを [Project] > [Plugins] > [Android] に追加し、 Google Play コンソールにアップロードし、想定した動作となるか検証を行う。前途多難ではあるが、Unity でゲーム開発を行うのがここまで難しいとは思っていなかった・・・。こちらの動作状況については前回と同様動 Twitter で報告させていただくことになると思いますのでよろしくおねがいします。

スポンサーリンク
%d人のブロガーが「いいね」をつけました。